Subject: bug#24890: 25.1; Several documentation problems

From: Jorge Morais Neto <[email-masked]>
Date: Thu, 10 Nov 2016 16:10:19 -0200

On 10 November 2016 at 14:26, Eli Zaretskii <[email-masked]> wrote:
>> From: Jorge Morais Neto <[email-masked]>
>> Date: Thu, 10 Nov 2016 12:36:58 -0200
>> Cc: [email-masked]
>> In git (branch emacs-25), the docstring of outline-hide-sublevels is only:
>> "Hide everything but the top LEVELS levels of headers, in whole buffer.
>> This also unhides the top heading-less body, if any.
>> [...]
>
> Maybe I'm missing something, but what does "Hide everything but the
> top LEVELS levels of headers" mean, if not that all the headers of
> those levels are revealed?

I parse that excerpt as "Hide (everything but the top LEVELS levels of
headers)", with parenthesis used for grouping as in Mathematics.  But
in an outline buffer, "everything but the top LEVELS levels of
headers" means "headers of level > LEVELS and all bodies".  Therefore
I interpret the excerpt as "hide (headers of level > LEVELS and all
bodies)", with no action for headers of level ≤ LEVELS. Thus if a
header of level ≤ LEVELS started hidden, in principle it would stay
hidden.  Perhaps I am just misunderstanding English.  My native and
primary language is Portuguese.  If you think the current wording is
clear then we can leave it as is.

> To have occur use the last search string, you need to type "M-n" at
> the prompt.  I've now clarified this in the manual.
Thank you.

-- 
• I am Brazilian.  I hope my English is correct and I welcome corrections.
• Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
• Free (as in free speech) software for Android: https://f-droid.org/